Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# eax.h File Reference

`#include <dsound.h>`

Include dependency graph for eax.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | _EAXBUFFERPROPERTIES
struct | _EAXLISTENERPROPERTIES
## Defines
#define | DSPROPSETID_EAX_ListenerProperties DSPROPSETID_EAX20_ListenerProperties
#define | DSPROPSETID_EAX_SourceProperties DSPROPSETID_EAX20_BufferProperties
#define | DSPROPERTY_EAXLISTENER_IMMEDIATE 0x00000000
#define | DSPROPERTY_EAXLISTENER_DEFERRED 0x80000000
#define | DSPROPERTY_EAXLISTENER_COMMITDEFERREDSETTINGS
#define | EAXLISTENERFLAGS_DECAYTIMESCALE 0x00000001
#define | EAXLISTENERFLAGS_REFLECTIONSSCALE 0x00000002
#define | EAXLISTENERFLAGS_REFLECTIONSDELAYSCALE 0x00000004
#define | EAXLISTENERFLAGS_REVERBSCALE 0x00000008
#define | EAXLISTENERFLAGS_REVERBDELAYSCALE 0x00000010
#define | EAXLISTENERFLAGS_DECAYHFLIMIT 0x00000020
#define | EAXLISTENERFLAGS_RESERVED 0xFFFFFFC0
#define | EAXLISTENER_MINROOM (-10000)
#define | EAXLISTENER_MAXROOM 0
#define | EAXLISTENER_DEFAULTROOM (-1000)
#define | EAXLISTENER_MINROOMHF (-10000)
#define | EAXLISTENER_MAXROOMHF 0
#define | EAXLISTENER_DEFAULTROOMHF (-100)
#define | EAXLISTENER_MINROOMROLLOFFFACTOR 0.0f
#define | EAXLISTENER_MAXROOMROLLOFFFACTOR 10.0f
#define | EAXLISTENER_DEFAULTROOMROLLOFFFACTOR 0.0f
#define | EAXLISTENER_MINDECAYTIME 0.1f
#define | EAXLISTENER_MAXDECAYTIME 20.0f
#define | EAXLISTENER_DEFAULTDECAYTIME 1.49f
#define | EAXLISTENER_MINDECAYHFRATIO 0.1f
#define | EAXLISTENER_MAXDECAYHFRATIO 2.0f
#define | EAXLISTENER_DEFAULTDECAYHFRATIO 0.83f
#define | EAXLISTENER_MINREFLECTIONS (-10000)
#define | EAXLISTENER_MAXREFLECTIONS 1000
#define | EAXLISTENER_DEFAULTREFLECTIONS (-2602)
#define | EAXLISTENER_MINREFLECTIONSDELAY 0.0f
#define | EAXLISTENER_MAXREFLECTIONSDELAY 0.3f
#define | EAXLISTENER_DEFAULTREFLECTIONSDELAY 0.007f
#define | EAXLISTENER_MINREVERB (-10000)
#define | EAXLISTENER_MAXREVERB 2000
#define | EAXLISTENER_DEFAULTREVERB 200
#define | EAXLISTENER_MINREVERBDELAY 0.0f
#define | EAXLISTENER_MAXREVERBDELAY 0.1f
#define | EAXLISTENER_DEFAULTREVERBDELAY 0.011f
#define | EAXLISTENER_MINENVIRONMENT 0
#define | EAXLISTENER_MAXENVIRONMENT (EAX_ENVIRONMENT_COUNT-1)
#define | EAXLISTENER_DEFAULTENVIRONMENT EAX_ENVIRONMENT_GENERIC
#define | EAXLISTENER_MINENVIRONMENTSIZE 1.0f
#define | EAXLISTENER_MAXENVIRONMENTSIZE 100.0f
#define | EAXLISTENER_DEFAULTENVIRONMENTSIZE 7.5f
#define | EAXLISTENER_MINENVIRONMENTDIFFUSION 0.0f
#define | EAXLISTENER_MAXENVIRONMENTDIFFUSION 1.0f
#define | EAXLISTENER_DEFAULTENVIRONMENTDIFFUSION 1.0f
#define | EAXLISTENER_MINAIRABSORPTIONHF (-100.0f)
#define | EAXLISTENER_MAXAIRABSORPTIONHF 0.0f
#define | EAXLISTENER_DEFAULTAIRABSORPTIONHF (-5.0f)
#define | EAXLISTENER_DEFAULTFLAGS
#define | DSPROPSETID_EAX_BufferProperties DSPROPSETID_EAX20_BufferProperties
#define | DSPROPERTY_EAXBUFFER_IMMEDIATE 0x00000000
#define | DSPROPERTY_EAXBUFFER_DEFERRED 0x80000000
#define | DSPROPERTY_EAXBUFFER_COMMITDEFERREDSETTINGS
#define | EAXBUFFERFLAGS_DIRECTHFAUTO 0x00000001
#define | EAXBUFFERFLAGS_ROOMAUTO 0x00000002
#define | EAXBUFFERFLAGS_ROOMHFAUTO 0x00000004
#define | EAXBUFFERFLAGS_RESERVED 0xFFFFFFF8
#define | EAXBUFFER_MINDIRECT (-10000)
#define | EAXBUFFER_MAXDIRECT 1000
#define | EAXBUFFER_DEFAULTDIRECT 0
#define | EAXBUFFER_MINDIRECTHF (-10000)
#define | EAXBUFFER_MAXDIRECTHF 0
#define | EAXBUFFER_DEFAULTDIRECTHF 0
#define | EAXBUFFER_MINROOM (-10000)
#define | EAXBUFFER_MAXROOM 1000
#define | EAXBUFFER_DEFAULTROOM 0
#define | EAXBUFFER_MINROOMHF (-10000)
#define | EAXBUFFER_MAXROOMHF 0
#define | EAXBUFFER_DEFAULTROOMHF 0
#define | EAXBUFFER_MINROOMROLLOFFFACTOR 0.0f
#define | EAXBUFFER_MAXROOMROLLOFFFACTOR 10.f
#define | EAXBUFFER_DEFAULTROOMROLLOFFFACTOR 0.0f
#define | EAXBUFFER_MINOBSTRUCTION (-10000)
#define | EAXBUFFER_MAXOBSTRUCTION 0
#define | EAXBUFFER_DEFAULTOBSTRUCTION 0
#define | EAXBUFFER_MINOBSTRUCTIONLFRATIO 0.0f
#define | EAXBUFFER_MAXOBSTRUCTIONLFRATIO 1.0f
#define | EAXBUFFER_DEFAULTOBSTRUCTIONLFRATIO 0.0f
#define | EAXBUFFER_MINOCCLUSION (-10000)
#define | EAXBUFFER_MAXOCCLUSION 0
#define | EAXBUFFER_DEFAULTOCCLUSION 0
#define | EAXBUFFER_MINOCCLUSIONLFRATIO 0.0f
#define | EAXBUFFER_MAXOCCLUSIONLFRATIO 1.0f
#define | EAXBUFFER_DEFAULTOCCLUSIONLFRATIO 0.25f
#define | EAXBUFFER_MINOCCLUSIONROOMRATIO 0.0f
#define | EAXBUFFER_MAXOCCLUSIONROOMRATIO 10.0f
#define | EAXBUFFER_DEFAULTOCCLUSIONROOMRATIO 0.5f
#define | EAXBUFFER_MINOUTSIDEVOLUMEHF (-10000)
#define | EAXBUFFER_MAXOUTSIDEVOLUMEHF 0
#define | EAXBUFFER_DEFAULTOUTSIDEVOLUMEHF 0
#define | EAXBUFFER_MINAIRABSORPTIONFACTOR 0.0f
#define | EAXBUFFER_MAXAIRABSORPTIONFACTOR 10.0f
#define | EAXBUFFER_DEFAULTAIRABSORPTIONFACTOR 1.0f
#define | EAXBUFFER_DEFAULTFLAGS
#define | EAX_MATERIAL_SINGLEWINDOW (-2800)
#define | EAX_MATERIAL_SINGLEWINDOWLF 0.71f
#define | EAX_MATERIAL_SINGLEWINDOWROOMRATIO 0.43f
#define | EAX_MATERIAL_DOUBLEWINDOW (-5000)
#define | EAX_MATERIAL_DOUBLEWINDOWHF 0.40f
#define | EAX_MATERIAL_DOUBLEWINDOWROOMRATIO 0.24f
#define | EAX_MATERIAL_THINDOOR (-1800)
#define | EAX_MATERIAL_THINDOORLF 0.66f
#define | EAX_MATERIAL_THINDOORROOMRATIO 0.66f
#define | EAX_MATERIAL_THICKDOOR (-4400)
#define | EAX_MATERIAL_THICKDOORLF 0.64f
#define | EAX_MATERIAL_THICKDOORROOMRTATION 0.27f
#define | EAX_MATERIAL_WOODWALL (-4000)
#define | EAX_MATERIAL_WOODWALLLF 0.50f
#define | EAX_MATERIAL_WOODWALLROOMRATIO 0.30f
#define | EAX_MATERIAL_BRICKWALL (-5000)
#define | EAX_MATERIAL_BRICKWALLLF 0.60f
#define | EAX_MATERIAL_BRICKWALLROOMRATIO 0.24f
#define | EAX_MATERIAL_STONEWALL (-6000)
#define | EAX_MATERIAL_STONEWALLLF 0.68f
#define | EAX_MATERIAL_STONEWALLROOMRATIO 0.20f
#define | EAX_MATERIAL_CURTAIN (-1200)
#define | EAX_MATERIAL_CURTAINLF 0.15f
#define | EAX_MATERIAL_CURTAINROOMRATIO 1.00f
## Typedefs
typedef _EAXLISTENERPROPERTIES | EAXLISTENERPROPERTIES
typedef _EAXLISTENERPROPERTIES * | LPEAXLISTENERPROPERTIES
typedef _EAXBUFFERPROPERTIES | EAXBUFFERPROPERTIES
typedef _EAXBUFFERPROPERTIES * | LPEAXBUFFERPROPERTIES
## Enumerations
enum | DSPROPERTY_EAX_LISTENERPROPERTY { DSPROPERTY_EAXLISTENER_NONE, DSPROPERTY_EAXLISTENER_ALLPARAMETERS, DSPROPERTY_EAXLISTENER_ROOM, DSPROPERTY_EAXLISTENER_ROOMHF, DSPROPERTY_EAXLISTENER_ROOMROLLOFFFACTOR, DSPROPERTY_EAXLISTENER_DECAYTIME, DSPROPERTY_EAXLISTENER_DECAYHFRATIO, DSPROPERTY_EAXLISTENER_REFLECTIONS, DSPROPERTY_EAXLISTENER_REFLECTIONSDELAY, DSPROPERTY_EAXLISTENER_REVERB, DSPROPERTY_EAXLISTENER_REVERBDELAY, DSPROPERTY_EAXLISTENER_ENVIRONMENT, DSPROPERTY_EAXLISTENER_ENVIRONMENTSIZE, DSPROPERTY_EAXLISTENER_ENVIRONMENTDIFFUSION, DSPROPERTY_EAXLISTENER_AIRABSORPTIONHF, DSPROPERTY_EAXLISTENER_FLAGS }
enum | { EAX_ENVIRONMENT_GENERIC, EAX_ENVIRONMENT_PADDEDCELL, EAX_ENVIRONMENT_ROOM, EAX_ENVIRONMENT_BATHROOM, EAX_ENVIRONMENT_LIVINGROOM, EAX_ENVIRONMENT_STONEROOM, EAX_ENVIRONMENT_AUDITORIUM, EAX_ENVIRONMENT_CONCERTHALL, EAX_ENVIRONMENT_CAVE, EAX_ENVIRONMENT_ARENA, EAX_ENVIRONMENT_HANGAR, EAX_ENVIRONMENT_CARPETEDHALLWAY, EAX_ENVIRONMENT_HALLWAY, EAX_ENVIRONMENT_STONECORRIDOR, EAX_ENVIRONMENT_ALLEY, EAX_ENVIRONMENT_FOREST, EAX_ENVIRONMENT_CITY, EAX_ENVIRONMENT_MOUNTAINS, EAX_ENVIRONMENT_QUARRY, EAX_ENVIRONMENT_PLAIN, EAX_ENVIRONMENT_PARKINGLOT, EAX_ENVIRONMENT_SEWERPIPE, EAX_ENVIRONMENT_UNDERWATER, EAX_ENVIRONMENT_DRUGGED, EAX_ENVIRONMENT_DIZZY, EAX_ENVIRONMENT_PSYCHOTIC, EAX_ENVIRONMENT_COUNT }
enum | DSPROPERTY_EAX_BUFFERPROPERTY { DSPROPERTY_EAXBUFFER_NONE, DSPROPERTY_EAXBUFFER_ALLPARAMETERS, DSPROPERTY_EAXBUFFER_DIRECT, DSPROPERTY_EAXBUFFER_DIRECTHF, DSPROPERTY_EAXBUFFER_ROOM, DSPROPERTY_EAXBUFFER_ROOMHF, DSPROPERTY_EAXBUFFER_ROOMROLLOFFFACTOR, DSPROPERTY_EAXBUFFER_OBSTRUCTION, DSPROPERTY_EAXBUFFER_OBSTRUCTIONLFRATIO, DSPROPERTY_EAXBUFFER_OCCLUSION, DSPROPERTY_EAXBUFFER_OCCLUSIONLFRATIO, DSPROPERTY_EAXBUFFER_OCCLUSIONROOMRATIO, DSPROPERTY_EAXBUFFER_OUTSIDEVOLUMEHF, DSPROPERTY_EAXBUFFER_AIRABSORPTIONFACTOR, DSPROPERTY_EAXBUFFER_FLAGS }
## Functions
| DEFINE_GUID (CLSID_EAXDirectSound, 0x4ff53b81, 0x1ce0, 0x11d3, 0xaa, 0xb8, 0x0, 0xa0, 0xc9, 0x59, 0x49, 0xd5)
| __declspec (dllimport) HRESULT WINAPI EAXDirectSoundCreate(GUID *
typedef | HRESULT (FAR PASCAL *LPEAXDIRECTSOUNDCREATE)(GUID *
| DEFINE_GUID (DSPROPSETID_EAX20_ListenerProperties, 0x306a6a8, 0xb224, 0x11d2, 0x99, 0xe5, 0x0, 0x0, 0xe8, 0xd8, 0xc7, 0x22)

## Define Documentation

#define DSPROPERTY_EAXBUFFER_COMMITDEFERREDSETTINGS

| Value:
    (DSPROPERTY_EAXBUFFER_NONE | \
                                                         DSPROPERTY_EAXBUFFER_IMMEDIATE)

#define DSPROPERTY_EAXBUFFER_DEFERRED 0x80000000

#define DSPROPERTY_EAXBUFFER_IMMEDIATE 0x00000000

#define DSPROPERTY_EAXLISTENER_COMMITDEFERREDSETTINGS

| Value:
    (DSPROPERTY_EAXLISTENER_NONE | \
                                                           DSPROPERTY_EAXLISTENER_IMMEDIATE)

#define DSPROPERTY_EAXLISTENER_DEFERRED 0x80000000

#define DSPROPERTY_EAXLISTENER_IMMEDIATE 0x00000000

#define DSPROPSETID_EAX_BufferProperties DSPROPSETID_EAX20_BufferProperties

#define DSPROPSETID_EAX_ListenerProperties DSPROPSETID_EAX20_ListenerProperties

#define DSPROPSETID_EAX_SourceProperties DSPROPSETID_EAX20_BufferProperties

#define EAX_MATERIAL_BRICKWALL (-5000)

#define EAX_MATERIAL_BRICKWALLLF 0.60f

#define EAX_MATERIAL_BRICKWALLROOMRATIO 0.24f

#define EAX_MATERIAL_CURTAIN (-1200)

#define EAX_MATERIAL_CURTAINLF 0.15f

#define EAX_MATERIAL_CURTAINROOMRATIO 1.00f

#define EAX_MATERIAL_DOUBLEWINDOW (-5000)

#define EAX_MATERIAL_DOUBLEWINDOWHF 0.40f

#define EAX_MATERIAL_DOUBLEWINDOWROOMRATIO 0.24f

#define EAX_MATERIAL_SINGLEWINDOW (-2800)

#define EAX_MATERIAL_SINGLEWINDOWLF 0.71f

#define EAX_MATERIAL_SINGLEWINDOWROOMRATIO 0.43f

#define EAX_MATERIAL_STONEWALL (-6000)

#define EAX_MATERIAL_STONEWALLLF 0.68f

#define EAX_MATERIAL_STONEWALLROOMRATIO 0.20f

#define EAX_MATERIAL_THICKDOOR (-4400)

#define EAX_MATERIAL_THICKDOORLF 0.64f

#define EAX_MATERIAL_THICKDOORROOMRTATION 0.27f

#define EAX_MATERIAL_THINDOOR (-1800)

#define EAX_MATERIAL_THINDOORLF 0.66f

#define EAX_MATERIAL_THINDOORROOMRATIO 0.66f

#define EAX_MATERIAL_WOODWALL (-4000)

#define EAX_MATERIAL_WOODWALLLF 0.50f

#define EAX_MATERIAL_WOODWALLROOMRATIO 0.30f

#define EAXBUFFER_DEFAULTAIRABSORPTIONFACTOR 1.0f

#define EAXBUFFER_DEFAULTDIRECT 0

#define EAXBUFFER_DEFAULTDIRECTHF 0

#define EAXBUFFER_DEFAULTFLAGS

| Value:
    (EAXBUFFERFLAGS_DIRECTHFAUTO | \
                                                  EAXBUFFERFLAGS_ROOMAUTO |     \
                                                  EAXBUFFERFLAGS_ROOMHFAUTO)

#define EAXBUFFER_DEFAULTOBSTRUCTION 0

#define EAXBUFFER_DEFAULTOBSTRUCTIONLFRATIO 0.0f

#define EAXBUFFER_DEFAULTOCCLUSION 0

#define EAXBUFFER_DEFAULTOCCLUSIONLFRATIO 0.25f

#define EAXBUFFER_DEFAULTOCCLUSIONROOMRATIO 0.5f

#define EAXBUFFER_DEFAULTOUTSIDEVOLUMEHF 0

#define EAXBUFFER_DEFAULTROOM 0

#define EAXBUFFER_DEFAULTROOMHF 0

#define EAXBUFFER_DEFAULTROOMROLLOFFFACTOR 0.0f

#define EAXBUFFER_MAXAIRABSORPTIONFACTOR 10.0f

#define EAXBUFFER_MAXDIRECT 1000

#define EAXBUFFER_MAXDIRECTHF 0

#define EAXBUFFER_MAXOBSTRUCTION 0

#define EAXBUFFER_MAXOBSTRUCTIONLFRATIO 1.0f

#define EAXBUFFER_MAXOCCLUSION 0

#define EAXBUFFER_MAXOCCLUSIONLFRATIO 1.0f

#define EAXBUFFER_MAXOCCLUSIONROOMRATIO 10.0f

#define EAXBUFFER_MAXOUTSIDEVOLUMEHF 0

#define EAXBUFFER_MAXROOM 1000

#define EAXBUFFER_MAXROOMHF 0

#define EAXBUFFER_MAXROOMROLLOFFFACTOR 10.f

#define EAXBUFFER_MINAIRABSORPTIONFACTOR 0.0f

#define EAXBUFFER_MINDIRECT (-10000)

#define EAXBUFFER_MINDIRECTHF (-10000)

#define EAXBUFFER_MINOBSTRUCTION (-10000)

#define EAXBUFFER_MINOBSTRUCTIONLFRATIO 0.0f

#define EAXBUFFER_MINOCCLUSION (-10000)

#define EAXBUFFER_MINOCCLUSIONLFRATIO 0.0f

#define EAXBUFFER_MINOCCLUSIONROOMRATIO 0.0f

#define EAXBUFFER_MINOUTSIDEVOLUMEHF (-10000)

#define EAXBUFFER_MINROOM (-10000)

#define EAXBUFFER_MINROOMHF (-10000)

#define EAXBUFFER_MINROOMROLLOFFFACTOR 0.0f

#define EAXBUFFERFLAGS_DIRECTHFAUTO 0x00000001

#define EAXBUFFERFLAGS_RESERVED 0xFFFFFFF8

#define EAXBUFFERFLAGS_ROOMAUTO 0x00000002

#define EAXBUFFERFLAGS_ROOMHFAUTO 0x00000004

#define EAXLISTENER_DEFAULTAIRABSORPTIONHF (-5.0f)

#define EAXLISTENER_DEFAULTDECAYHFRATIO 0.83f

#define EAXLISTENER_DEFAULTDECAYTIME 1.49f

#define EAXLISTENER_DEFAULTENVIRONMENT EAX_ENVIRONMENT_GENERIC

#define EAXLISTENER_DEFAULTENVIRONMENTDIFFUSION 1.0f

#define EAXLISTENER_DEFAULTENVIRONMENTSIZE 7.5f

#define EAXLISTENER_DEFAULTFLAGS

| Value:
    (EAXLISTENERFLAGS_DECAYTIMESCALE |        \
                                                       EAXLISTENERFLAGS_REFLECTIONSSCALE |      \
                                                       EAXLISTENERFLAGS_REFLECTIONSDELAYSCALE | \
                                                       EAXLISTENERFLAGS_REVERBSCALE |           \
                                                       EAXLISTENERFLAGS_REVERBDELAYSCALE |      \
                                                       EAXLISTENERFLAGS_DECAYHFLIMIT)

#define EAXLISTENER_DEFAULTREFLECTIONS (-2602)

#define EAXLISTENER_DEFAULTREFLECTIONSDELAY 0.007f

#define EAXLISTENER_DEFAULTREVERB 200

#define EAXLISTENER_DEFAULTREVERBDELAY 0.011f

#define EAXLISTENER_DEFAULTROOM (-1000)

#define EAXLISTENER_DEFAULTROOMHF (-100)

#define EAXLISTENER_DEFAULTROOMROLLOFFFACTOR 0.0f

#define EAXLISTENER_MAXAIRABSORPTIONHF 0.0f

#define EAXLISTENER_MAXDECAYHFRATIO 2.0f

#define EAXLISTENER_MAXDECAYTIME 20.0f

#define EAXLISTENER_MAXENVIRONMENT (EAX_ENVIRONMENT_COUNT-1)

#define EAXLISTENER_MAXENVIRONMENTDIFFUSION 1.0f

#define EAXLISTENER_MAXENVIRONMENTSIZE 100.0f

#define EAXLISTENER_MAXREFLECTIONS 1000

#define EAXLISTENER_MAXREFLECTIONSDELAY 0.3f

#define EAXLISTENER_MAXREVERB 2000

#define EAXLISTENER_MAXREVERBDELAY 0.1f

#define EAXLISTENER_MAXROOM 0

#define EAXLISTENER_MAXROOMHF 0

#define EAXLISTENER_MAXROOMROLLOFFFACTOR 10.0f

#define EAXLISTENER_MINAIRABSORPTIONHF (-100.0f)

#define EAXLISTENER_MINDECAYHFRATIO 0.1f

#define EAXLISTENER_MINDECAYTIME 0.1f

#define EAXLISTENER_MINENVIRONMENT 0

#define EAXLISTENER_MINENVIRONMENTDIFFUSION 0.0f

#define EAXLISTENER_MINENVIRONMENTSIZE 1.0f

#define EAXLISTENER_MINREFLECTIONS (-10000)

#define EAXLISTENER_MINREFLECTIONSDELAY 0.0f

#define EAXLISTENER_MINREVERB (-10000)

#define EAXLISTENER_MINREVERBDELAY 0.0f

#define EAXLISTENER_MINROOM (-10000)

#define EAXLISTENER_MINROOMHF (-10000)

#define EAXLISTENER_MINROOMROLLOFFFACTOR 0.0f

#define EAXLISTENERFLAGS_DECAYHFLIMIT 0x00000020

#define EAXLISTENERFLAGS_DECAYTIMESCALE 0x00000001

#define EAXLISTENERFLAGS_REFLECTIONSDELAYSCALE 0x00000004

#define EAXLISTENERFLAGS_REFLECTIONSSCALE 0x00000002

#define EAXLISTENERFLAGS_RESERVED 0xFFFFFFC0

#define EAXLISTENERFLAGS_REVERBDELAYSCALE 0x00000010

#define EAXLISTENERFLAGS_REVERBSCALE 0x00000008

## Typedef Documentation

typedef struct _EAXBUFFERPROPERTIES EAXBUFFERPROPERTIES

typedef struct _EAXLISTENERPROPERTIES EAXLISTENERPROPERTIES

typedef struct _EAXBUFFERPROPERTIES * LPEAXBUFFERPROPERTIES

typedef struct _EAXLISTENERPROPERTIES * LPEAXLISTENERPROPERTIES

## Enumeration Type Documentation

anonymous enum

  | Enumeration values:
  EAX_ENVIRONMENT_GENERIC |
  EAX_ENVIRONMENT_PADDEDCELL |
  EAX_ENVIRONMENT_ROOM |
  EAX_ENVIRONMENT_BATHROOM |
  EAX_ENVIRONMENT_LIVINGROOM |
  EAX_ENVIRONMENT_STONEROOM |
  EAX_ENVIRONMENT_AUDITORIUM |
  EAX_ENVIRONMENT_CONCERTHALL |
  EAX_ENVIRONMENT_CAVE |
  EAX_ENVIRONMENT_ARENA |
  EAX_ENVIRONMENT_HANGAR |
  EAX_ENVIRONMENT_CARPETEDHALLWAY |
  EAX_ENVIRONMENT_HALLWAY |
  EAX_ENVIRONMENT_STONECORRIDOR |
  EAX_ENVIRONMENT_ALLEY |
  EAX_ENVIRONMENT_FOREST |
  EAX_ENVIRONMENT_CITY |
  EAX_ENVIRONMENT_MOUNTAINS |
  EAX_ENVIRONMENT_QUARRY |
  EAX_ENVIRONMENT_PLAIN |
  EAX_ENVIRONMENT_PARKINGLOT |
  EAX_ENVIRONMENT_SEWERPIPE |
  EAX_ENVIRONMENT_UNDERWATER |
  EAX_ENVIRONMENT_DRUGGED |
  EAX_ENVIRONMENT_DIZZY |
  EAX_ENVIRONMENT_PSYCHOTIC |
  EAX_ENVIRONMENT_COUNT |

enum DSPROPERTY_EAX_BUFFERPROPERTY

  | Enumeration values:
  DSPROPERTY_EAXBUFFER_NONE |
  DSPROPERTY_EAXBUFFER_ALLPARAMETERS |
  DSPROPERTY_EAXBUFFER_DIRECT |
  DSPROPERTY_EAXBUFFER_DIRECTHF |
  DSPROPERTY_EAXBUFFER_ROOM |
  DSPROPERTY_EAXBUFFER_ROOMHF |
  DSPROPERTY_EAXBUFFER_ROOMROLLOFFFACTOR |
  DSPROPERTY_EAXBUFFER_OBSTRUCTION |
  DSPROPERTY_EAXBUFFER_OBSTRUCTIONLFRATIO |
  DSPROPERTY_EAXBUFFER_OCCLUSION |
  DSPROPERTY_EAXBUFFER_OCCLUSIONLFRATIO |
  DSPROPERTY_EAXBUFFER_OCCLUSIONROOMRATIO |
  DSPROPERTY_EAXBUFFER_OUTSIDEVOLUMEHF |
  DSPROPERTY_EAXBUFFER_AIRABSORPTIONFACTOR |
  DSPROPERTY_EAXBUFFER_FLAGS |

enum DSPROPERTY_EAX_LISTENERPROPERTY

  | Enumeration values:
  DSPROPERTY_EAXLISTENER_NONE |
  DSPROPERTY_EAXLISTENER_ALLPARAMETERS |
  DSPROPERTY_EAXLISTENER_ROOM |
  DSPROPERTY_EAXLISTENER_ROOMHF |
  DSPROPERTY_EAXLISTENER_ROOMROLLOFFFACTOR |
  DSPROPERTY_EAXLISTENER_DECAYTIME |
  DSPROPERTY_EAXLISTENER_DECAYHFRATIO |
  DSPROPERTY_EAXLISTENER_REFLECTIONS |
  DSPROPERTY_EAXLISTENER_REFLECTIONSDELAY |
  DSPROPERTY_EAXLISTENER_REVERB |
  DSPROPERTY_EAXLISTENER_REVERBDELAY |
  DSPROPERTY_EAXLISTENER_ENVIRONMENT |
  DSPROPERTY_EAXLISTENER_ENVIRONMENTSIZE |
  DSPROPERTY_EAXLISTENER_ENVIRONMENTDIFFUSION |
  DSPROPERTY_EAXLISTENER_AIRABSORPTIONHF |
  DSPROPERTY_EAXLISTENER_FLAGS |

## Function Documentation

__declspec | ( | dllimport |  | ) |

DEFINE_GUID | ( | DSPROPSETID_EAX20_ListenerProperties | ,
|  | 0x306a6a8 | ,
|  | 0xb224 | ,
|  | 0x11d2 | ,
|  | 0x99 | ,
|  | 0xe5 | ,
|  | 0x0 | ,
|  | 0x0 | ,
|  | 0xe8 | ,
|  | 0xd8 | ,
|  | 0xc7 | ,
|  | 0x22 |
| ) |

DEFINE_GUID | ( | CLSID_EAXDirectSound | ,
|  | 0x4ff53b81 | ,
|  | 0x1ce0 | ,
|  | 0x11d3 | ,
|  | 0xaa | ,
|  | 0xb8 | ,
|  | 0x0 | ,
|  | 0xa0 | ,
|  | 0xc9 | ,
|  | 0x59 | ,
|  | 0x49 | ,
|  | 0xd5 |
| ) |

typedef HRESULT | ( | FAR PASCAL * | LPEAXDIRECTSOUNDCREATE | ) |